Skip to main content
POST
/
vector_stores
/
{vector_store_id}
/
file_batches
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "object": "vector_store.files_batch",
  "created_at": 123,
  "vector_store_id": "<string>",
  "status": "in_progress",
  "file_counts": {
    "in_progress": 123,
    "completed": 123,
    "failed": 123,
    "cancelled": 123,
    "total": 123
  }
}

Authorizations

api-key
string
header
required

Path Parameters

vector_store_id
string
required

The ID of the vector store for which to create a file batch.

Query Parameters

api-version
enum<string>
default:v1

The explicit Azure AI Foundry Models API version to use for this request. v1 if not otherwise specified.

Available options:
v1,
preview

Body

application/json
file_ids
string[]
required

A list of File IDs that the vector store should use. Useful for tools like file_search that can access files.

Required array length: 1 - 500 elements
chunking_strategy
object

The chunking strategy used to chunk the file(s). If not set, will use the auto strategy.

attributes
object

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.

Response

The request has succeeded.

A batch of files attached to a vector store.

id
string
required

The identifier, which can be referenced in API endpoints.

object
enum<string>
required

The object type, which is always vector_store.file_batch.

Available options:
vector_store.files_batch
created_at
integer<unixtime>
required

The Unix timestamp (in seconds) for when the vector store files batch was created.

vector_store_id
string
required

The ID of the vector store that the File is attached to.

status
enum<string>
required

The status of the vector store files batch, which can be either in_progress, completed, cancelled or failed.

Available options:
in_progress,
completed,
cancelled,
failed
file_counts
object
required